@import url('https://fonts.googleapis.com/css2?family=Open+Sans&family=Poppins:wght@400;600&display=swap');

:root {
    --violet: hsl(257, 40%, 49%);
    --softMagenta: hsl(300, 69%, 71%);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    border: none;
}

body {
    background: url(./images/bg-mobile.svg) no-repeat var(--violet);
    background-size: contain;
    color: white;
    font-family: 'Open Sans', sans-serif;
    text-align: center;
}

#gatsby-focus-wrapper {
    display: grid;
    place-items: center;
    padding: 0 clamp(10px, 79.5px, 10.6vw);
}

.logo {
    margin-top: 75.4px;
    justify-self: baseline;
    width: 239px;
}

main {
    margin-top: 139.8px;
    display: flex;
    flex-wrap: wrap;
    gap: 126px;
    width: clamp(250px, 1281px, 100%);
}

.illustrationMockups {
    width: clamp(250px, 696px, 100%);
}

h1 {
    font-family: 'Poppins', sans-serif;
    font-size: 47.6px;
    line-height: 71.5px;
}

.p {
    margin-top: 26px;
    font-size: 32.1px;
    line-height: 48px;
}

button {
    margin-top: 49px;
    width: clamp(250px, 401px, 100%);
    padding: 24px 0 19px;
    border-radius: 40px;
    background: white;
    color: var(--violet);
    font-family: 'Poppins', sans-serif;
    position: relative;
    font-size: 24.4px;
    box-shadow: 0px 5px 10px hsl(257, 40%, 20%);
    transition: 400ms;
}

button:hover {
    background: var(--softMagenta);
    color: white;
    transition: 400ms;
}

footer {
    margin: 128px 0 40px;
    display: flex;
    flex-direction: column;
    place-items: center;
}

.socials {
    display: flex;
    gap: 20px;
}

.socials img {
    padding: 11px;
    border: 2px solid white;
    border-radius: 50%;
    transition: 400ms;
}

.socials img:hover {
    border: 2px solid var(--softMagenta);
    transition: 400ms;
}

.attribution {
    margin-top: 20px;
    font-size: 15px;
    text-align: center;
}

.attribution a {
    color: white;
}

@media only screen and (min-width: 751px) {
    body {
        background: url(./images/bg-desktop.svg) no-repeat var(--violet);
        text-align: left;
    }

    .logo {
        margin-top: 64px;
        width: 200px;
    }

    main {
        margin-top: 104px;
        gap: 59.5px;
    }

    .text {
        width: 525.5px;
    }

    h1 {
        margin-top: 35.5px;
        font-size: 39.6px;
        line-height: 60px;
    }

    .p {
        margin-top: 20px;
        font-size: 18px;
        line-height: 27px;
    }

    button {
        margin-top: 24px;
        width: 200px;
        padding: 13px 0 16px;
        font-size: 17.9px;
    }

    footer {
        margin-top: 27px;
        width: 100%;
        padding-right: 1px;
        flex-direction: row-reverse;
        justify-content: space-between;
    }

    .socials {
        gap: 16px;
    }

    .socials img {
        height: 40px;
        width: 40px;
        border: 1px solid white;
        padding: 10px;
    }

    .socials img:hover {
        border: 1px solid var(--softMagenta);
        transition: 400ms;
    }

    .attribution {
        margin: 0;
    }
}